<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">
<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">

<xsl:call-template name="greenstonePageBanner"/>
<center>
<xsl:apply-templates select="response/collectionList"/>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>


<!-- the ancestor axis contains the parent of the context node, and its parent and so on. to pick one node among these: ancestor::elem-name. I dont know how this works if there are two nodes with the same name in the axis. -->
<xsl:template match="collectionList">
<xsl:for-each select="collection"> 
<p><a><xsl:attribute name='href'><xsl:value-of select="ancestor::page/config/library_name"/>?a=p&amp;sa=about&amp;c=<xsl:value-of select='@name'/></xsl:attribute><img width="150" border="1"><xsl:attribute name="src">sites/<xsl:value-of select="ancestor::page/config/site_name"/>/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="metadataList/metadata[@name='iconCollection']"/></xsl:attribute><xsl:attribute name="alt"><xsl:value-of select="metadataList/metadata[@name='colName']"/></xsl:attribute></img></a></p>
</xsl:for-each>
<xsl:call-template name="greenBar"/>
</xsl:template> 

</xsl:stylesheet>  


